<div class="ui left vertical menu" style="margin-left: 20px;">
  <h1 class="filter"> FILTER <i class="tasks icon"></i></h1>
  <form [formGroup]="filterForm" (ngSubmit)="onFilter()">
    <a class="item">
      <div class="ui right labeled input" style="width: 92px; height: 40px;">
        <label for="amount" class="ui label" style=" background-color: rgb(129, 170, 114); font-size: 16px;">€</label>
        <input type="text" formControlName = "price" placeholder="max value" id="amount">
        <div class="ui basic label" style="color: rgb(192, 189, 189);">2499</div>
      </div>
    </a>

    <a class="item" >
      <div class="fluid field">
        <label class="mainLabel">Brand</label>
        <div class="field brend" *ngFor = "let brend of brends; let i = index" formArrayName = "brendForm">
          <div class="checkbox">
            <input type="checkbox" [formControlName]="i">
            <label class="checkItem"> {{brends[i].replace('_', ' ')}} </label>
          </div>
        </div>
      </div>
    </a>

    <a class="item" >
      <div class="fluid field">
      <label class="mainLabel">RAM (memory)</label>
        <div class="field ram" *ngFor = "let ram of rams; let i = index" formArrayName = "ramForm">
          <div class="checkbox">
            <input type="checkbox" [formControlName]="i">
            <label class="checkItem"> {{rams[i].replace('_', ' ')}} </label>
          </div>
        </div>
      </div>
    </a>

    <a class="item" >
      <div class="fluid field">
        <label class="mainLabel">Processor</label>
        <div class="field procesor" *ngFor = "let p of procesors; let i = index" formArrayName = "procesorForm">
          <div class="checkbox">
            <input type="checkbox" [formControlName]="i">
            <label class="checkItem"> {{procesors[i].replace('_', ' ')}} </label>
          </div>
        </div>
      </div>
    </a>

    <a class="item" >
      <div class="fluid field">
        <label class="mainLabel">SSD (memory)</label>
        <div class="field ssd" *ngFor = "let ssd of ssds; let i = index" formArrayName = "ssdForm">
          <div class="checkbox">
            <input type="checkbox" [formControlName]="i">
            <label class="checkItem"> {{ssds[i].replace('_', ' ')}} </label>
          </div>
        </div>
      </div>
    </a>

    <a>
      <button class="ui inverted huge green button" id="filterButton" type="submit"> FILTER </button>
    </a>
    
      
    <button class="ui left labeled icon button" (click) = onPreviousClicked() id="nextButton">
      <i class="left arrow icon"></i> prev
    </button>

    <button class="ui right labeled icon button" (click) = onNextClicked() id="prevButton">
      <i class="right arrow icon"></i> next
    </button>    
    
  </form>

</div>